Access Keys:
Skip to content (Access Key - 0)

Troubleshooting Debathena installation

OpenAFS modules

If (a) you get the error messages

Your AFS client does not seem to be working.


aklog: unable to obtain tokens for cell (status: 11862788)

after running renew or aklog, or if (b) you get the error message

Starting AFS services:
AFS module /lib/modules/2.6.22-14-generic/fs/openafs.o does not exist.
Not starting AFS. Please consider building kernel modules using
instructions in /usr/share/doc/openafs-client/README.modules

when booting your computer after a kernel update or when debathena-afs-config is installing,

You are probably missing OpenAFS modules for your kernel. To fix this problem, choose the option that applies to you:

Missing OpenAFS modules is the most common problem, although AFS might fail to restart for other reasons, like that it is in use, or /var/cache/openafs is not on an ext2 or ext3 filesystem.

Recent releases

If you are running a supported distribution either Ubuntu Karmic or newer or Debian Squeeze or newer, then you can simply run

sudo aptitude install openafs-modules-dkms
sudo /etc/init.d/openafs-client restart

DKMS will automatically build and install modules for your kernel when the kernel is upgraded.

Old releases, stock kernel

If you are running the stock kernel of a supported distribution either Ubuntu Hardy or older or Debian Lenny or older, then you can use our metapackages to ensure that OpenAFS modules get automatically installed for the most recent available kernel.

On Ubuntu, run

sudo aptitude install openafs-modules-generic
sudo /etc/init.d/openafs-client restart

Or on Debian, run

sudo aptitude install openafs-modules-2.6-686
sudo /etc/init.d/openafs-client restart

You may need to specify a flavor other than generic or 686 if you are using a kernel flavor other than the default.

Old releases, custom kernel

If you built your own kernel, then you will also need to build your own OpenAFS modules before you can use AFS.

Needing new OpenAFS modules is also likely the problem if you get the following error message similar when you try to install openafs-modules-`uname -r`:

Couldn't find any package whose name or description matched "openafs-modules-2.6.23"

To build and install OpenAFS modules for your kernel, run:

aptitude install module-assistant;
m-a a-i openafs

IS&T Contributions

Documentation and information provided by IS&T staff members

Last Modified:

August 07, 2014

Get Help

Request help
from the Help Desk
Report a security incident
to the Security Team
c-debathena c-debathena Delete
Enter labels to add to this page:
Please wait 
Looking for a label? Just start typing.
This product/service is:
Easy to use
Difficult to use

This article is:
Adaptavist Theme Builder (4.2.3) Powered by Atlassian Confluence 3.5.13, the Enterprise Wiki